Developers
API ReferenceProgress Stamp

Retrieves a ProgressStamp resource

GET
/project/progress-stamps/{id}

Retrieves a ProgressStamp resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

ProgressStamp identifier

Response Body

curl -X GET "https://example.com/project/progress-stamps/string"
{  "stampData": {    "tasks": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "no": 0,        "shortCode": "string",        "dateStart": "2019-08-24T14:15:22Z",        "dateEnd": "2019-08-24T14:15:22Z",        "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",        "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",        "finishedAt": "2019-08-24T14:15:22Z",        "columnStatus": "todo",        "columnDecorator": "#78909c",        "status": "in-preparation",        "weight": 0      }    ],    "id": "string",    "project": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "dateStart": "2019-08-24T14:15:22Z",      "dateEnd": "2019-08-24T14:15:22Z",      "dateStartPlanned": "2019-08-24T14:15:22Z",      "dateEndPlanned": "2019-08-24T14:15:22Z",      "status": "in-preparation",      "shortCode": "string",      "progress": 0,      "isBlameableRemovalEnabled": false    },    "stages": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "status": "in-preparation",        "dateStart": "2019-08-24T14:15:22Z",        "dateEnd": "2019-08-24T14:15:22Z",        "progress": 0,        "weight": 0,        "isBlameableRemovalEnabled": false,        "stageType": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "decorator": "#78909c"        }      }    ],    "boards": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "status": "in-preparation",        "shortCode": "string",        "dateStart": "2019-08-24T14:15:22Z",        "dateEnd": "2019-08-24T14:15:22Z",        "progress": 0,        "weight": 0,        "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",        "boardType": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "decorator": "#78909c"        }      }    ],    "milestones": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",        "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",        "weight": 0,        "name": "string",        "dateStart": "2019-08-24T14:15:22Z",        "description": "string",        "status": "todo"      }    ],    "links": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "ftf",        "source": "07b8e003-7027-443f-88b0-24a5eb1cc68b",        "target": "65a17d54-9c67-4477-8b80-d3f97e165aa5"      }    ]  },  "id": "string",  "project": "string",  "createdAt": "2019-08-24T14:15:22Z",  "size": 0,  "description": "string"}